var xmlHttp
	///////////////////////////自动更新
//function websiteautoupdate(id){
//    	websiteautoupdatesendRequest("/link_directory/auto_update.do?action=update&id="+id);
//document.getElementById("update11").innerHTML="(正在更新，请等待5至10秒左右,谢谢...)";
//}
//function websiteautoupdatesendRequest(url){
//	xmlHttp=GetXmlHttpObject(websiteautoupdatestateChanged)
//	xmlHttp.open("GET", url , true)
//	xmlHttp.send(null)
//} 
//function websiteautoupdatestateChanged() { 
//	if (xmlHttp.readyState==4 || xmlHttp.readyState=="complete")
//	{ 
////	alert(xmlHttp.responseText);
////document.getElementById("divtemp").innerHTML=xmlHttp.responseText;
//document.getElementById("update11").innerHTML="";
//var objText=xmlHttp.responseText;

//var arr = objText.split("|");
//if (arr[0]!=""&&arr[0]!="undefined"){
//	PageRank.src="/images/6pagerank"+arr[0]+".gif";
//}
//if (arr[1]!=""&&arr[1]!="undefined"){
//	document.getElementById("AlexaRank").innerHTML=arr[1];
//}
//if (arr[2]!=""&&arr[2]!="undefined"){
//	alexaimg.src=arr[2];
//}
////alert("谢谢您的支持，您的更新申请已经发送！");
//	}
//}
//////-------------
///////////////////////////////////////////////////////////////////////////
//function webyz(id){
//	//if (confirm("如果该网站有违反本站的收录条件，您可以向本站举报。您是否真的要举报该网站？")){
//    	webyzsendRequest("/customer_center/authentication.do?action=yz&id="+id);
//    //}
//}
//function webyzsendRequest(url){
//	xmlHttp=GetXmlHttpObject(webyzstateChanged)
//	xmlHttp.open("GET", url , true)
//	xmlHttp.send(null)
//} 
//function webyzstateChanged() { 
//	if (xmlHttp.readyState==4 || xmlHttp.readyState=="complete")
//	{ 
//	//alert(xmlHttp.responseText);
//document.getElementById("divtemp").innerHTML=xmlHttp.responseText;
////alert("谢谢您的支持，您的更新申请已经发送！");
//	}
//}
////-------------
/////////////////////////////////////////////////////////////////////////
function webupdate(id){
	//if (confirm("如果该网站有违反本站的收录条件，您可以向本站举报。您是否真的要举报该网站？")){
    	webupdatesendRequest("/link_directory/action.do?action=webupdate&id="+id);
    //}
}
//function webupdatesendRequest(url){
//	xmlHttp=GetXmlHttpObject(webupdatestateChanged)
//	xmlHttp.open("GET", url , true)
//	xmlHttp.send(null)
//} 
//function webupdatestateChanged() { 
//	if (xmlHttp.readyState==4 || xmlHttp.readyState=="complete")
//	{ 
//	//alert(xmlHttp.responseText);
////document.getElementById("divtemp").innerHTML=xmlHttp.responseText;
//alert("谢谢您的支持，您的更新申请已经发送！");
//	}
//}
//////-------------

//function chk_stat(id){
//    sendRequest("/link_directory/linkout.do?id="+id);
//}
function sendRequest(url){
	xmlHttp=GetXmlHttpObject(stateChanged)
	xmlHttp.open("GET", url , true)
	xmlHttp.send(null)
} 
function stateChanged() { 
	if (xmlHttp.readyState==4 || xmlHttp.readyState=="complete")
	{ 
//	alert(xmlHttp.responseText);
//document.getElementById("divtemp").innerHTML=xmlHttp.responseText;
	}
} 

/////////---------------------
//function checkNick(id){
//    checkNicksendRequest("/customer_center/check_log_name.do?id="+id);
//}

//function checkNicksendRequest(url){
//	xmlHttp=GetXmlHttpObject(checkNickstateChanged)
//	xmlHttp.open("GET", url , true)
//	xmlHttp.send(null)
//} 
//function checkNickstateChanged() { 
//	if (xmlHttp.readyState==4 || xmlHttp.readyState=="complete")
//	{ 
////	alert(xmlHttp.responseText);
//document.getElementById("divtemp").innerHTML=xmlHttp.responseText;
//	}
//} 



/////////////////////////////////////////////////////////////////////////////////////////

function GetXmlHttpObject(handler){ 
	var objXmlHttp=null
	if (navigator.userAgent.indexOf("Opera")>=0){
		alert("This example doesn't work in Opera") 
	return; 
	}
	
	if (navigator.userAgent.indexOf("MSIE")>=0){ 
		var strName="Msxml2.XMLHTTP"
		if (navigator.appVersion.indexOf("MSIE 5.5")>=0){
			strName="Microsoft.XMLHTTP"
		} 
		try{ 
		objXmlHttp=new ActiveXObject(strName)
		objXmlHttp.onreadystatechange=handler 
		return objXmlHttp
		} 
		catch(e){ 
		alert("Error. Scripting for ActiveX might be disabled") 
		return 
		} 
	} 
	if (navigator.userAgent.indexOf("Mozilla")>=0){
		objXmlHttp=new XMLHttpRequest()
		objXmlHttp.onload=handler
		objXmlHttp.onerror=handler 
		return objXmlHttp
	}
} 




<!-- Beginning of JavaScript -
function fucCheckNUM(NUM){
	//函数名：fucCheckNUM
	//功能介绍：检查是否为数字
	//参数说明：要检查的数字
	//返回值：1为是数字，0为不是数字
	var i,j,strTemp;
	strTemp="0123456789";
	if ( NUM.length== 0)
		return 0
	for (i=0;i<NUM.length;i++){
		j=strTemp.indexOf(NUM.charAt(i));	
		if (j==-1){
			//说明有字符不是数字
			return 0;
		}
	}
	//说明是数字
	return 1;
}

function winopen(url,w,h,style){
	//智能打开窗口
	//style要以逗号结尾scrollbars=yes,toolbar=no,location=no,directories=no,status=no,menubar=no,resizable=no,
	//w,h为0时为全屏
	varputItThere = null; 
	var chasm = screen.availWidth;
	var mount = screen.availHeight;
	if (w==0&&h==0){
		w= screen.availWidth-10;
		h= screen.availHeight-30;
		
	}
	putItThere = window.open(url,'_blank',style+'width=' + w + ',height=' + h + ',left=' + ((chasm - w - 10) * .5) + ',top=' + ((mount - h - 30) * .5));
	putItThere.focus();
}


function submitonce(theform){
		//让表单只提交一次，禁提交按扭
	if (document.all||document.getElementById)
	{
		for (i=0;i<theform.length;i++)
		{
			var tempobj=theform.elements[i];
			if (tempobj.type.toLowerCase()=="submit"||tempobj.type.toLowerCase()=="reset")
	
			tempobj.disabled=true;
			
		}
	}
}
	
function bbimg(o){
	//滚轮缩放图片
	var zoom=parseInt(o.style.zoom, 10)||100;zoom+=event.wheelDelta/12;if (zoom>0) o.style.zoom=zoom+'%';
	return false;
}

function isEmail(strEmail) {
if (strEmail.search(/^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/) != -1){
return true;
}else{
return false;
}
}

function isDomain(objText){
		var arr = objText.split(".");
		if (arr.length>2){
			return true;
		}else{
			return false;
		}
		return arr.length;

}


function checkformcomments(theform){
	if (theform.name.value==""){
		alert("请输入名字!");
		theform.name.focus();
		return false;
	}
	
	if (theform.body.value==""){
		alert("请输入评论内容!");
		theform.body.focus();
		return false;
	}	
	if (theform.SecurityCode.value==""){
		alert("请输入验证码!");
		theform.SecurityCode.focus();
		return false;
	}		

	submitonce(theform);
}

// - End of JavaScript - -->


function comOut(id)
{
    if(fucCheckNUM(id)<1)
        return;
    sendRequest("linkOut.aspx?outID="+id+"&s=out&m="+Math.random());
}







//tool.aspx
   function ForceWindow ()
    {
    this.r = document.documentElement;
    this.f = document.createElement("FORM");
    this.f.target = "_blank";
    this.f.method = "post";
    this.r.insertBefore(this.f, this.r.childNodes[0]);
    }
    ForceWindow.prototype.open = function (sUrl)
    {
    this.f.action = sUrl;
    this.f.submit();
    }
window.force = new ForceWindow();


function getp(u){var my = new ForceWindow();my.open(u);}
var _u = null;
function getu(u,fid){_u=u;document.getElementById(fid).src=u;}
var obj = null;
function InitData(objId)
{obj=objId;}
function trim(str)  
{  
  return str.replace(/(^\s*)|(\s*$)/g, "");  
}
function checkUrl(s)
{
    var f = false;
    var re= /^http[s]{0,1}:\/\/[A-Za-z0-9]+\.[A-Za-z0-9]+[\/=\?%\-&_~`@[\]\':+!]*([^\"\"])*$/gi;
    var re1  =/^[A-Za-z0-9]+\.[A-Za-z0-9]+[\/=\?%\-&_~`@[\]\':+!]*([^<>\"\"])*$/gi;
    if(re.test(s))
        f=true;
    if(re1.test(s))
        f=true;
    return f;
}
function Yanz(s)
{
    var   result   =   checkUrl(s);     
    if (!result)
        return false;
    else
        return true;
}
function checkValue(o)
{
    var str="";
    if(o==null)
       str = document.getElementById(obj).value;
    else
       str= document.getElementById(o).value;
    var s = trim(str);
    if(s=="")
    {
        alert("网址输入错误，请重新输入！");
        return false;
    }
    if(!Yanz(s))
    {
        alert("网址输入错误，请重新输入！");
        return false;
    }else
    {
        return true;
    }
}


function checkIP()
{
    var ipArray,j;
    var ip=document.getElementById('ip').value.toLowerCase().replace("http://","");
    if(/[A-Za-z_-]/.test(ip)){
        if(!/^([\w-]+\.)+((com)|(net)|(org)|(gov\.cn)|(info)|(cc)|(com\.cn)|(net\.cn)|(org\.cn)|(name)|(biz)|(tv)|(cn)|(la))$/.test(ip)){
            alert("不是正确的域名");
            document.getElementById('ip').focus();
            return false;
        }
    }
    else{
        ipArray = ip.split(".");
        j = ipArray.length
        if(j!=4)
        {
            alert("不是正确的IP");
            document.getElementById('ip').focus();
            return false;
        }

        for(var i=0;i<4;i++)
        {
            if(ipArray[i].length==0 || ipArray[i]>255)
            {
                alert("不是正确的IP");
                document.getElementById('ip').focus();
                return false;
            }
        }
    }
}
